devguard

PoliciesId

Delete a policy category by id.

DELETE
/policies/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://app.devguard.ch/api/policies/string/"
{
  "id": "string",
  "title": "string",
  "slug": "string",
  "order": -9007199254740991,
  "categoryId": "string",
  "organizationId": "string",
  "approverId": "string",
  "status": "DRAFT",
  "content": null,
  "currentVersion": "string",
  "lastApprovedAt": "string",
  "lastApprovedBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?